#include "Input.h"
using namespace std;

Input :: Input ()
{
  data.clear();
}

Input :: ~Input ()
{
}

uint32_t Input :: getInput ()
{
  return command;
}

void Input :: setInput (uint32_t in)
{
  command = in;
}

vector <int> & Input::getData()
{
  return data;
}

void Input::pushData (int a)
{
  data.push_back(a);
}
